<?php

namespace Ulmus\Ldap\Query;

class Set extends \Ulmus\Query\Set
{
    public function render() /* : mixed */
    {
        foreach($this->dataset as $key => $value) {
            $this->queryBuilder->addParameter($value, $key);

            $fields[] = $this->escapedFields[$key] ?? $key;
        }

        return [
            'fields' => $fields,
        ];
    }
}