<?php

namespace Ulmus\Ldap\Query;

class Insert extends \Ulmus\Query\Fragment {

    public int $order = -100;

    public array $fields = [];

    public function set($dataset) : self
    {
        $this->fields = $dataset;

        return $this;
    }

    public function render() : array
    {
        return [
            'fields' => $this->fields
        ];
    }
}
